com.ihr.xbrl.store

## Class LoadPojoInThread

- java.lang.Object
- - com.ihr.xbrl.store.LoadPojoInThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class LoadPojoInThread
      extends java.lang.Object
      implements java.lang.Runnable

  The Class LoadPojoInThread.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.log4j.Logger` | `log` The log.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadPojoInThread(java.lang.String instanceUriOnDatabase, XBRLInstance instanceDocument, DTSContainer dts, DbUtil dbUtil, org.hibernate.Session session, org.apache.log4j.Appender logHandler, org.apache.log4j.Level level, DTSLoadingBarInterface bar, boolean bForUpdate, PojoExtension<?,?>[] pojoExtensions)` Instantiates a new load pojo in thread.
    `LoadPojoInThread(XBRLInstance instanceDocument, DTSContainer dts, DbUtil dbUtil, org.hibernate.Session session, org.apache.log4j.Appender logHandler, org.apache.log4j.Level level, DTSLoadingBarInterface bar, boolean bForUpdate, PojoExtension<?,?>[] pojoExtensions)` Instantiates a new load pojo in thread.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTSContainer` | `getDts()` Gets the dts.
    `java.lang.Exception` | `getException()` Gets the exception.
    `XBRLInstance` | `getInstance()` Gets the single instance of LoadPojoInThread.
    `java.lang.String` | `getMessage()` The content of the error message in the XBRLPojoGenerationException .
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public org.apache.log4j.Logger log

      The log.

  - ### Constructor Detail

    - #### LoadPojoInThread

          public LoadPojoInThread(XBRLInstance instanceDocument,
                          DTSContainer dts,
                          DbUtil dbUtil,
                          org.hibernate.Session session,
                          org.apache.log4j.Appender logHandler,
                          org.apache.log4j.Level level,
                          DTSLoadingBarInterface bar,
                          boolean bForUpdate,
                          PojoExtension<?,?>[] pojoExtensions)

      Instantiates a new load pojo in thread.
      Parameters:
        `instanceDocument` - the instance document
        `dts` - the dts
        `dbUtil` - the db util
        `session` - the session
        `logHandler` - the log handler
        `level` - the level
        `bar` - the bar
        `bForUpdate` - the b for update

    - #### LoadPojoInThread

          public LoadPojoInThread(java.lang.String instanceUriOnDatabase,
                          XBRLInstance instanceDocument,
                          DTSContainer dts,
                          DbUtil dbUtil,
                          org.hibernate.Session session,
                          org.apache.log4j.Appender logHandler,
                          org.apache.log4j.Level level,
                          DTSLoadingBarInterface bar,
                          boolean bForUpdate,
                          PojoExtension<?,?>[] pojoExtensions)

      Instantiates a new load pojo in thread.
      Parameters:
        `instanceUriOnDatabase` - the instance uri on database
        `instanceDocument` - the instance document
        `dts` - the dts
        `dbUtil` - the db util
        `session` - the session
        `logHandler` - the log handler
        `level` - the level
        `bar` - the bar
        `bForUpdate` - the b for update

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### getDts

          public DTSContainer getDts()

      Gets the dts.
      Returns:
        the dts

    - #### getInstance

          public XBRLInstance getInstance()

      Gets the single instance of LoadPojoInThread.
      Returns:
        single instance of LoadPojoInThread

    - #### getException

          public java.lang.Exception getException()

      Gets the exception.
      Returns:
        the exception

    - #### getMessage

          public java.lang.String getMessage()

      The content of the error message in the XBRLPojoGenerationException .
      Returns:
        String